<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::table('chat_logs', function (Blueprint $table) {
        // Kita gunakan float untuk menyimpan angka desimal (seperti 0.85)
        $table->float('similarity_score')->nullable()->after('bot_response');
    });
}

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('chat_logs', function (Blueprint $table) {
            //
        });
    }
};
